Bug 141109 - net/sixxs-aiccu: should log to DAEMON or so
Summary: net/sixxs-aiccu: should log to DAEMON or so
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-02 13:00 UTC by Helmut Schneider
Modified: 2009-12-09 10:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Schneider 2009-12-02 13:00:07 UTC
Sixxs-Aiccu logs to LOCAL7 which is used for many other things like apache httpd error log. I can't see why it does not simply log e.g. to DAEMON which sounds resonable for me. I tried to create a patch but without success (probably because I don't know C(++) very well), aiccu still logs to LOCAL7.

Fix: 

#ifndef _WIN32
-       if (g_aiccu && g_aiccu->daemonize > 0) vsyslog(LOG_LOCAL7|level, fmt, ap);
+       if (g_aiccu && g_aiccu->daemonize > 0) vsyslog(LOG_DAEMON|level, fmt, ap);
        else
        {
                vfprintf(stderr, fmt, ap);--knvMQEcsJTDWzMOr2J0K0MhtKBKjzyjRYuvsLXTeomKcD4j1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- ./common/common.c.org       2009-12-02 13:41:44.000000000 +0100
+++ ./common/common.c   2009-12-02 13:42:25.000000000 +0100
@@ -37,7 +37,7 @@
        if (g_aiccu && !g_aiccu->verbose && level == LOG_DEBUG) return;
Comment 1 Edwin Groothuis freebsd_committer 2009-12-02 13:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2009-12-08 08:27:27 UTC
State Changed
From-To: open->feedback


1. 
Apache logs by default in its one file. 

By activating it you define the scope, normally local1 
ErrorLog syslog:local1 

2. 
you can easy setup syslog to put stuff from apache.local7 
and sixxs-aiccu.local7 into different logfiles. 

Chnanging default ifor sixxs-aiccu makes not much sense here. 
Maybe you can explain why this as an option would make sense.
Comment 3 dfilter service freebsd_committer 2009-12-09 09:33:44 UTC
dinoex      2009-12-09 09:33:35 UTC

  FreeBSD ports repository

  Modified files:
    net/sixxs-aiccu      Makefile 
  Log:
  - add option WITH_LOG_DAEMON
  PR:             141109
  
  Revision  Changes    Path
  1.11      +7 -0      ports/net/sixxs-aiccu/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2009-12-09 10:28:00 UTC
State Changed
From-To: feedback->closed


$ man syslog.conf 
[...] 
A program specification is a line beginning with `#!prog' or `!prog' (the 
former is for compatibility with the previous syslogd, if one is sharing 
syslog.conf files, for example) and the following blocks will be associ- 
ated with calls to syslog(3) from that specific program.  A program spec- 
ification for `foo' will also match any message logged by the kernel with 
the prefix `foo: '.  The `#!+prog' or `!+prog' specification works just 
like the previous one, and the `#!-prog' or `!-prog' specification will 
match any message but the ones from that program.  Multiple programs may 
be listed, separated by commas: `!prog1,prog2' matches messages from 
either program, while `!-prog1,prog2' matches all messages but those from 
`prog1' or `prog2'. 
[...] 


So putting this at the end of your syslogd.conf: 

!sixxs-aiccu 
*.*	/var/log/sixxs-tunnel.log 

Will keep the apache logs clean.